# By Jules le 10/01/2021 -----------------------

# C'est une version récursive (est-ce autorisé car le mot récursif n'est pas écrit dans l'énoncé) ?
def multiplication(n1, n2):
    if n2 == 0 or n1 == 0:
        return 0
    elif n2 > 0:
        return n1 + multiplication(n1, n2 - 1)
    else:
        return -n1 + multiplication(n1, n2 + 1)

# Autre version --------------------------------
def multiplication2(n1, n2): 
    if (n1 > 0 and n2 > 0) or (n1 < 0 and n2 < 0):
        # possible de résumer en : "if (n1 * n2) > 0:" c-a-d si n1 et n2 sont de même signe
        plus = True 
    else: 
        plus = False 
    nb1, nb2 = abs(n1), abs(n2) 
    result = 0 
    for i in range(nb1): 
        result = result + nb2 
    if plus: 
        return result 
    else: 
        return -result # Pb ici car multiplication par -1 



print(multiplication2(2, 2))
print(multiplication2(3, 5))
print(multiplication2(-4, -8))
print(multiplication2(-2, 6))
print(multiplication2(-2, 0))
print(multiplication2(0, 7))